using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class KeyboardInputHandler : InputHandler {
	//Key List -- 0 Left; 1 Right; 2 Jump; 3 Break
	public string[] keys = new string[4];
	private bool[] keyStates = new bool[4];

	//Key checking each frame
	void Update () {
		for (int i = 0; i < 4; i++) {
			keyStates [i] = Input.GetKey(keys [i]);
		}
	}

	//Method called by front classes
	public override bool GetButton(int key){
		return keyStates[key];
	}
}
